<template>
  <div class="feedback-wrapper">
    <b-row>
      <b-col md="12">
        <div v-if="feedback.error.msg">
          <b-alert show variant="danger">
            {{ feedback.error.text }}
          </b-alert>
        </div>

        <div v-if="feedback.success.msg">
          <b-alert show variant="success">
            {{ feedback.success.text }}
          </b-alert>
        </div>
      </b-col>
    </b-row>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'feedback-request',

  computed: {
    ...mapGetters([
      'feedback',
    ])
  },
}
</script>

<style lang="scss">
@media(max-width: 1024px) {
  .feedback-wrapper {
    top: 100px;
    position: absolute;
    left: 5px;
    display: flex;
    justify-content: center;
  }
}
</style>